Package org.stianloader.micromixin.transform.internal.util.smap

## Class LineSection.LineInfo

- java.lang.Object
- - org.stianloader.micromixin.transform.internal.util.smap.LineSection.LineInfo

- Enclosing class:
    LineSection

      public static class LineSection.LineInfo
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `int` | `inputLineCount` |
    `int` | `inputStartLine` |
    `int` | `lineFileId` |
    `int` | `outputLineIncrement` |
    `int` | `outputStartLine` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LineInfo​(int inputStartLine, int lineFileId, int inputLineCount, int outputLineIncrement, int outputStartLine)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.StringBuilder` | `pushContents​(java.lang.StringBuilder sharedBuilder)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### inputLineCount

          public final int inputLineCount

    - #### inputStartLine

          public final int inputStartLine

    - #### lineFileId

          public final int lineFileId

    - #### outputLineIncrement

          public final int outputLineIncrement

    - #### outputStartLine

          public final int outputStartLine

  - ### Constructor Detail

    - #### LineInfo

          public LineInfo​(int inputStartLine,
                          int lineFileId,
                          int inputLineCount,
                          int outputLineIncrement,
                          int outputStartLine)

  - ### Method Detail

    - #### pushContents

          @NotNull
          @Contract(mutates="param1",
                    pure=false,
                    value="!null -> param1; null -> fail")
          public java.lang.StringBuilder pushContents​(@NotNull
                                                      java.lang.StringBuilder sharedBuilder)